Scientific Linux Security Update : spice-server on SL6.x x86_64

This script is Copyright (C) 2015-2016 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

A heap-based buffer overflow flaw was found in the way SPICE handled
certain guest QXL commands related to surface creation. A user in a
guest could use this flaw to read and write arbitrary memory locations
on the host. (CVE-2015-5261)

A heap-based buffer overflow flaw was found in the way spice handled
certain QXL commands related to the 'surface_id' parameter. A user in
a guest could use this flaw to crash the host QEMU-KVM process or,
possibly, execute arbitrary code with the privileges of the host
QEMU-KVM process. (CVE-2015-5260)

See also :

http://www.nessus.org/u?f18f6359

Solution :

Update the affected spice-server, spice-server-debuginfo and / or
spice-server-devel packages.

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 86364 ()

Bugtraq ID:

CVE ID: CVE-2015-5260
CVE-2015-5261

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now